Fetch a list of all the users with pending enrollment

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API endpoint allows you to fetch the list of users in the pending enrollment status i.e. the users whose enrollment is yet to start.


Headers

  • Authentication: Bearer <JWT>
  • Accept: application/json
  • Content-Type: application/json

Path Parameters

ParametersTypeDescription
organizationNamestringDenotes the name of the organization.
groupIDstringThe unique group ID of the group.
sortstringSort the listed records based on the columns Requested For and Request Date.
Possible Values:

requestedFor
requestedDate

orderstringThe order of the displayed list. Possible Values:

asc: Ascending order
des: Descending order

pagestringPage number of the results to fetch.
E.g.: 0, 1, etc.
sizestringTo set the maximum number of records to return in a paged list response.
E.g.: 5, 10, etc.
startDatestringStart date of the date range to fetch user records.
Format: MM/DD/YYYY
endDatestringEnd date of the date range to fetch user records.
Format: MM/DD/YYYY

Response Object

ParameterTypeDescription
contentarrayAn array containing user objects.
idintegerThe unique ID of the user.
firstNamestringThe first name of the user.
lastNamestringThe last name of the user.
emailstringThe email address of the user.
createdDatestringThe date when the user was created.
isFederatedbooleanIndicates if the user is federated.
groupNamestringThe name of the group to which the user belongs.
groupIdstringThe unique ID of the group to which the user belongs.
identityTypeNamestringThe type of identity associated with the user.
enabledbooleanIndicates if the user is enabled.
usernamestringThe username of the user.
credentialsstringThe credentials associated with the user.
enrolledBystringThe entity that enrolled the user.
totalElementsstringThe total number of elements in the response.
lastbooleanIndicates if this is the last page of results.
totalPagesstringThe total number of pages of results.
sizestringThe number of elements per page.
numberstringThe current page number.
sortstringThe sorting criteria for the results.
firstbooleanIndicates if this is the first page of results.
numberOfElementsnumberThe number of elements in the current page.
Responses

Language
URL
LoadingLoading…
Response
Choose an example:
application/json